rem /********************************************************************
rem   APG - an ABNF Parser Generator
rem   Copyright  (C) 2007 Coast to Coast Research, Inc.
rem  
rem  This program is free software: you can redistribute it and/or modify
rem  it under the terms of the GNU General Public License as published by
rem  the Free Software Foundation, either version 2 of the License, or
rem  (at your option) any later version.
rem  
rem  This program is distributed in the hope that it will be useful,
rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
rem  GNU General Public License for more details.
rem  
rem  You should have received a copy of the GNU General Public License
rem  along with this program.  If not, see
rem  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
rem  or write to the Free Software Foundation, Inc.,
rem  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
rem 
rem     author: Lowell Thomas
rem             lowell@coasttocoastresearch.com
rem             http://www.coasttocoastresearch.com
rem 
rem    created: 8/25/2007 12:44
rem   filename: D:\Projects\Apgv5_0\Generator\Lexer.bnf
rem    purpose: DOS batch file for generating the lexer and token-parsing
rem             components of the Generator.
rem   
rem *********************************************************************/
rem
..\Common\bin\Apg.exe /in:Lexer.bnf /log:LexerPPT.log /out:PPTLexer /dv /drv /ppt
..\Common\bin\Apg.exe /in:Parser.bnf /log:ParserPPT.log /out:PPTParser /dv /drv /ppt
..\Common\bin\Apg.exe /in:Lexer.bnf /log:Lexer.log /out:Lexer /dv /drv
..\Common\bin\Apg.exe /in:Parser.bnf /log:Parser.log /out:Parser /dv /drv
pause

 