/*! \file LSStandUp.h
 <pre>
 <b>File:</b> LSStandUp.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Standing skill
 </pre>
 */

#ifndef __LSSTANDUP_H__
#define __LSSTANDUP_H__

#include "Skills.h"
#include "PlayerModel.h"
#include "WorldModel.h"

class LSStandUp: public LowSkill {
    
public:
    
	LSStandUp(WorldModel * _world, PlayerModel * _player);
    
	int skillType();
	int calculate(Skill **lowerSkill);
};

#endif /*__LSSTANDUP_H__*/
