/*! \file MSStandUpTest.h
 <pre>
 <b>File:</b> MSStandUpTest.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b>
 </pre>
 */

#ifndef __MSSTANDUPTEST_H__
#define __MSSTANDUPTEST_H__

#include "Skills.h"
#include "PlayerModel.h"
#include "WorldModel.h"

class MSStandUpTest: public MiddleSkill {

public:

	MSStandUpTest(WorldModel * _world, PlayerModel * _player);

	int skillType();
	int calculate(Skill **lowerSkill);
};

#endif /*__MSSTANDUPTEST_H__*/
