/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
  
	 created: Sat Nov 24 14:09:33 2007
	filename: Parser.h
	  author: Lowell Thomas
	          lowell@coasttocoastresearch.com
	          http://www.coasttocoastresearch.com

	 purpose: Header file for parser Parser.

*********************************************************************/
#ifndef Parser_h
#define Parser_h

//{{header.pre
//}}header.pre

// rule name IDs
#define RULE_PARSER_FILE 0
#define RULE_PARSER_RULE 1
#define RULE_PARSER_RULEERROR 2
#define RULE_PARSER_ALTERNATION 3
#define RULE_PARSER_CONCATENATION 4
#define RULE_PARSER_REPETITION 5
#define RULE_PARSER_REP 6
#define RULE_PARSER_REPEAT 7
#define RULE_PARSER_NOREP 8
#define RULE_PARSER_PREDICATE 9
#define RULE_PARSER_DMIN 10
#define RULE_PARSER_DMAX 11
#define RULE_PARSER_MAX_REPS 12
#define RULE_PARSER_ELEMENT 13
#define RULE_PARSER_GROUP 14
#define RULE_PARSER_OPTION 15
#define RULE_PARSER_TOK_LINEEND 16
#define RULE_PARSER_TOK_NUM 17
#define RULE_PARSER_TOK_NAMEDEF 18
#define RULE_PARSER_TOK_DEF 19
#define RULE_PARSER_TOK_DEFALT 20
#define RULE_PARSER_TOK_LPAREN 21
#define RULE_PARSER_TOK_RPAREN 22
#define RULE_PARSER_TOK_LOPTION 23
#define RULE_PARSER_TOK_ROPTION 24
#define RULE_PARSER_TOK_MIN 25
#define RULE_PARSER_TOK_MAX 26
#define RULE_PARSER_TOK_RNM 27
#define RULE_PARSER_TOK_ALT 28
#define RULE_PARSER_TOK_CAT 29
#define RULE_PARSER_TOK_REP 30
#define RULE_PARSER_TOK_AND 31
#define RULE_PARSER_TOK_NOT 32
#define RULE_PARSER_TOK_TRG 33
#define RULE_PARSER_TOK_TBS 34
#define RULE_PARSER_TOK_TLS 35
#define RULE_PARSER_TOK_ERROR 36

extern void* vpParserInit;

//{{header.post
//}}header.post

#endif // Parser_h
