/********************************************************************
  APG - an ABNF Parser Generator
  Copyright  (C) 2007 Coast to Coast Research, Inc.
 
  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program.  If not, see
  <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
  or write to the Free Software Foundation, Inc.,
  51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

    author: Lowell Thomas
            lowell@coasttocoastresearch.com
            http://www.coasttocoastresearch.com

   created: 8/26/2007 11:37
  filename: D:\Projects\Apgv5_0\Samples\NonContextFree\main.h
  purpose: Header file for the demostration of various
           non-context-free grammars
  
*********************************************************************/
#ifndef main_h_6_19_2007
#define main_h_6_19_2007
#include "Apg.h"
#include "ApgUtilities.h"
#include "AnBnCn.h"

#define MAINASSERT(cond) if(!(int)(cond))vAlertHandler(0, __LINE__, __FILE__)

void vTestAnBnCn(void* vpMemCtx);
void vTestAttributes(void* vpMemCtx);

#endif /* main_h_6_19_2007 */

