/*! \file HSAttack.cpp
 <pre>
 <b>File:</b> HSAttack.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 04/13/2008
 <b>Contents:</b> Attack mode
 </pre>
 */ 

#include "HSAttack.h"
#include "MSRun.h"

HSAttack::HSAttack(WorldModel * _world, PlayerModel * _player):HighSkill(_world, _player) {
}

int HSAttack::skillType() {
    
    return SKILL_HS_ATTACK;
}

int HSAttack::calculate(Skill ** lowerSkill) {
    
    if (lowerSkill != NULL && *lowerSkill != NULL)
        return 1;
    
    *lowerSkill = new MSRun(world, player);
    lastMS = (*lowerSkill)->skillType();
    
    return 1;
}
