/*! \file Gyroscope.cpp
 <pre>
 <b>File:</b> Gyroscope.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 03/10/2008
 <b>Contents:</b> This class represents Gyroscope.
 </pre>
 */

#include "Gyroscope.h"

Gyroscope::Gyroscope() {

    relative.x = 0.0;
    relative.y = 0.0;
    relative.z = 0.0;

    absolute.x = 0.0;
    absolute.y = 0.0;
    absolute.z = 0.0;
}

Gyroscope::~Gyroscope() {
}

void Gyroscope::update(CoordCartesian _absolute, double _timestamp) {

    relative = _absolute - absolute;
    
    //TODO: filtering.
    
    absolute = _absolute;
}
