/*! \file DynamicObject.cpp
 <pre>
 <b>File:</b> DynamicObject.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 02/27/2008
 <b>Contents:</b> This class represents dynamic object like ball, Player etc. It's a subclass of Object and
                  adds new attributes like speed, acceleration or mass.
 </pre>
 */


#include "DynamicObject.h"

DynamicObject::DynamicObject() {
}

DynamicObject::~DynamicObject() {
}

CoordSpherical DynamicObject::predictPosition(double dt) {
    
    CoordSpherical predicted(0, 0, 0);
    
    //TODO: predict position in time t + dt
    
    return predicted;
}
