/*! \file Player.h
 <pre>
 <b>File:</b> Player.h
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 02/27/2008
 <b>Contents:</b> This class represent player with his id, stamina and temperature.
 </pre>
 */

#ifndef __PLAYER_H__
#define __PLAYER_H__

#include "DynamicObject.h"

/* TODO
 */
class Player: public DynamicObject {
    
public:
    
	int id;				/*!< player ID */
	
	double stamina;		/*!< player stamina */
	double temperature;	/*!< player temperature */
    
	Player();
	Player(int _id, double _stamina, double _temperature);
	~Player();
};

#endif /*__PLAYER_H__*/

